{{title='Facility Data – Technical'}}
{{icon="enterdata"}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{goals = db(db.t_goals).select().first().as_dict()}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
</head>
{{extend 'dataInputLayout.html'}}
<body>
    {{if chosenUseCase == "agv":}}
        {{=form.custom.begin}}
    <div class="formInputs">
        {{if goals['f_mob']:}}
            <div id="t_facilitydata_f_plantarea_total_label"><div class="qmarkBefore" id="plantarea_total">&#8505</div>
                {{=form.custom.label.f_plantarea_total}}:<span id="t_facilitydata_f_plantarea_total_description">Total area of production plant</span>
            </div><div>{{=form.custom.widget.f_plantarea_total}} {{=form.custom.comment.f_plantarea_total}}</div>
            <div id="t_facilitydata_f_storagearea_label"><div class="qmarkBefore" id="storagearea">&#8505</div>
                {{=form.custom.label.f_storagearea}}:<span id="t_facilitydata_f_storagearea_description">Area, which is necessary to store parts</span>
            </div><div>{{=form.custom.widget.f_storagearea}} {{=form.custom.comment.f_storagearea}}</div>
            <div id="t_facilitydata_f_reworkarea_label"><div class="qmarkBefore" id="reworkarea">&#8505</div>
                {{=form.custom.label.f_reworkarea}}:<span id="t_facilitydata_f_reworkarea_description">Area, which is necessary to rework parts</span>
            </div><div>{{=form.custom.widget.f_reworkarea}} {{=form.custom.comment.f_reworkarea}}</div>
            <div id="t_facilitydata_f_paths_over5m_label"><div class="qmarkBefore" id="paths_over5m">&#8505</div>
                {{=form.custom.label.f_paths_over5m}}:<span id="t_facilitydata_f_paths_over5m_description">Number of paths with width over 5 meter</span>
            </div><div>{{=form.custom.widget.f_paths_over5m}} {{=form.custom.comment.f_paths_over5m}}</div>
            <div id="t_facilitydata_f_paths_over35m_label"><div class="qmarkBefore" id="paths_over35m">&#8505</div>
                {{=form.custom.label.f_paths_over35m}}:<span id="t_facilitydata_f_paths_over35m_description">Number of paths with width between 3.5 and 5 meter</span>
            </div><div>{{=form.custom.widget.f_paths_over35m}} {{=form.custom.comment.f_paths_over35m}}</div>
            <div id="t_facilitydata_f_paths_total_label"><div class="qmarkBefore" id="paths_total">&#8505</div>
                {{=form.custom.label.f_paths_total}}:<span id="t_facilitydata_f_paths_total_description">Number of potential paths the application could use under given infrastructure</span>
            </div><div>{{=form.custom.widget.f_paths_total}} {{=form.custom.comment.f_paths_total}}</div>
        {{pass}}
        {{if (goals['f_sus'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
            <div id="t_facilitydata_f_compressedairconsumption_label"><div class="qmarkBefore" id="compressedairconsumption">&#8505</div>
                {{=form.custom.label.f_compressedairconsumption}}:<span id="t_facilitydata_f_compressedairconsumption_description">Compressed air consumed by application within an hour</span>
            </div><div>{{=form.custom.widget.f_compressedairconsumption}} {{=form.custom.comment.f_compressedairconsumption}}</div>
            <div id="t_facilitydata_f_gasconsumption_label"><div class="qmarkBefore" id="gasconsumption">&#8505</div>
                {{=form.custom.label.f_gasconsumption}}:<span id="t_facilitydata_f_gasconsumption_description">Gas consumed by application within an hour</span>
            </div><div>{{=form.custom.widget.f_gasconsumption}} {{=form.custom.comment.f_gasconsumption}}</div>
            <div id="t_facilitydata_f_waterconsumption_label"><div class="qmarkBefore" id="waterconsumption">&#8505</div>
                {{=form.custom.label.f_waterconsumption}}:<span id="t_facilitydata_f_waterconsumption_description">Water consumed by application within an hour</span>
            </div><div>{{=form.custom.widget.f_waterconsumption}} {{=form.custom.comment.f_waterconsumption}}</div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    {{pass}}
    {{if chosenUseCase == "blisk":}}
        {{=form.custom.begin}}
    <div class="formInputs">
        {{if goals['f_mob']:}}
            <div id="t_facilitydata_f_plantarea_total_label"><div class="qmarkBefore" id="plantarea_total">&#8505</div>
                {{=form.custom.label.f_plantarea_total}}:<span id="t_facilitydata_f_plantarea_total_description">Total area of production plant</span>
            </div><div>{{=form.custom.widget.f_plantarea_total}} {{=form.custom.comment.f_plantarea_total}}</div>
            <div id="t_facilitydata_f_storagearea_label"><div class="qmarkBefore" id="storagearea">&#8505</div>
                {{=form.custom.label.f_storagearea}}:<span id="t_facilitydata_f_storagearea_description">Area, which is necessary to store parts</span>
            </div><div>{{=form.custom.widget.f_storagearea}} {{=form.custom.comment.f_storagearea}}</div>
            <div id="t_facilitydata_f_reworkarea_onepart_label"><div class="qmarkBefore" id="reworkarea_onepart">&#8505</div>
                {{=form.custom.label.f_reworkarea_onepart}}:<span id="t_facilitydata_f_reworkarea_onepart_description"> Rework area necessary for one part</span>
            </div><div>{{=form.custom.widget.f_reworkarea_onepart}} {{=form.custom.comment.f_reworkarea_onepart}}</div>
            <div id="t_facilitydata_f_transportarea_label"><div class="qmarkBefore" id="transportarea">&#8505</div>
                {{=form.custom.label.f_transportarea}}:<span id="t_facilitydata_f_transportarea_description"> Area which is necessary to transport parts</span>
            </div><div>{{=form.custom.widget.f_transportarea}} {{=form.custom.comment.f_transportarea}}</div>
            <div id="t_facilitydata_f_paths_total_label"><div class="qmarkBefore" id="paths_total">&#8505</div>
                {{=form.custom.label.f_paths_total}}:<span id="t_facilitydata_f_paths_total_description">Number of potential paths the application could use under given infrastructure</span>
            </div><div>{{=form.custom.widget.f_paths_total}} {{=form.custom.comment.f_paths_total}}</div>
        {{pass}}
        {{if (goals['f_sus'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
            <div id="t_facilitydata_f_compressedairconsumption_label"><div class="qmarkBefore" id="compressedairconsumption">&#8505</div>
                {{=form.custom.label.f_compressedairconsumption}}:<span id="t_facilitydata_f_compressedairconsumption_description">Compressed air consumed per hour by operating the application</span>
            </div><div>{{=form.custom.widget.f_compressedairconsumption}} {{=form.custom.comment.f_compressedairconsumption}}</div>
            <div id="t_facilitydata_f_compressedairconsumption_rework_label"><div class="qmarkBefore" id="compressedairconsumption_rework">&#8505</div>
                {{=form.custom.label.f_compressedairconsumption_rework}}:<span id="t_facilitydata_f_compressedairconsumption_rework_description">Compressed air consumed by rework per hour</span>
            </div><div>{{=form.custom.widget.f_compressedairconsumption_rework}} {{=form.custom.comment.f_compressedairconsumption_rework}}</div>
            <div id="t_facilitydata_f_gasconsumption_label"><div class="qmarkBefore" id="gasconsumption">&#8505</div>
                {{=form.custom.label.f_gasconsumption}}:<span id="t_facilitydata_f_gasconsumption_description">Gas consumed by application within an hour</span>
            </div><div>{{=form.custom.widget.f_gasconsumption}} {{=form.custom.comment.f_gasconsumption}}</div>
            <div id="t_facilitydata_f_waterconsumption_label"><div class="qmarkBefore" id="waterconsumption">&#8505</div>
                {{=form.custom.label.f_waterconsumption}}:<span id="t_facilitydata_f_waterconsumption_description">Water consumed by application within an hour</span>
            </div><div>{{=form.custom.widget.f_waterconsumption}} {{=form.custom.comment.f_waterconsumption}}</div>
            <div id="t_facilitydata_f_electricpowerconsumption_application_label"><div class="qmarkBefore" id="electricpowerconsumption_application">&#8505</div>
                {{=form.custom.label.f_electricpowerconsumption_application}}:<span id="t_facilitydata_f_electricpowerconsumption_application_description">Electric power consumed per hour by operating the application</span>
            </div><div>{{=form.custom.widget.f_electricpowerconsumption_application}} {{=form.custom.comment.f_electricpowerconsumption_application}}</div>
            <div id="t_facilitydata_f_electricpowerconsumption_rework_label"><div class="qmarkBefore" id="electricpowerconsumption_rework">&#8505</div>
                {{=form.custom.label.f_electricpowerconsumption_rework}}:<span id="t_facilitydata_f_electricpowerconsumption_rework_description">Electric power consumed per hour by reworking a BLISK</span>
            </div><div>{{=form.custom.widget.f_electricpowerconsumption_rework}} {{=form.custom.comment.f_electricpowerconsumption_rework}}</div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    {{pass}}
    {{message=""}}
</body>
